Subject: bug#28601: 26.0.50; configure: error: Emacs does not support 'x86_64-pc-msys' systems.

From: Noam Postavsky <[email-masked]>
Date: Mon, 16 Oct 2017 17:42:15 -0400

On Mon, Oct 16, 2017 at 1:11 PM, Vincent Belaïche
<[email-masked]> wrote:

> I does not work for me if I don't change MSWindows PATH. But the text
> needs revision anyway because it does not say what has to be
> ensured.
>
> What happens for me is that c:\MSYS\INSTALL\DIR\msys64\mingw64\bin has
> to be high enough in the path list, otherwise Emacs gets frozen on
> start.
>
> I have not fully identified how high it has to be. It seems that if it
> is not before c:\Perl64\site\bin then the freeze happens (to be
> confirmed by more tests). c:\Perl64\site\bin is some ActiveState native
> perl implementation which contains a gcc.exe executable but no DLL's.

I tried installing ActiveState perl, it adds this directory to PATH,
but the directory is empty (so of course there is no effect).

>> Is there some reason you changed to a for loop?
>>
>
> Yes, I had some packages already installed, and if I just type
>
> pacman -S msys/msys2-launcher-git \
>           msys/m4 \
>           msys/autoconf \
[...]
>
> and I type ENTER for defaulting to « all » then it seems that pacman
> does not really re-install anything. With a look thing are handled one
> by one more cleanly, and it is easier for the user to discriminate.

Yes, it seems that it hits an error trying to install
mingw64/mingw-w64-x86_64-liblcms2, and then just quits. The error is
somewhat lost in the noise:

error: target not found: mingw-w64-x86_64-liblcms2

It seems the name must be updated to mingw-w64-x86_64-lcms2.

A drawback of the for loop method is that it is difficult to abort,
even hitting Ctrl+C doesn't stop the loop, you have to hit it again
for each package.